# PhasicFlow: IOstream Class Reference

IOstream Class Referenceabstract
Inheritance diagram for IOstream:
[legend]

## Public Types

enum | streamAccess : char { CLOSED = 0, OPENED }

## Public Member Functions

| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual const word & | name () const
virtual word & | name ()
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
virtual ios_base::fmtflags | flags () const =0
void | setEof ()
void | setFail ()
void | setBad ()
virtual ios_base::fmtflags | flags (const ios_base::fmtflags f)=0
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Static Public Member Functions

static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)

## Static Public Attributes

static unsigned int | precision_ = 6

## Protected Member Functions

void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()

## Protected Attributes

streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_

## Static Protected Attributes

static word | staticName_

## Detailed Description

Definition at line 45 of file IOstream.hpp.

## Member Enumeration Documentation

## streamAccess

enum streamAccess : char

Enumerator
CLOSED | stream is not open
OPENED | stream is open

Definition at line 51 of file IOstream.hpp.

## Constructor & Destructor Documentation

## IOstream() [1/2]

IOstream | ( |  | ) |

inlineexplicit

Definition at line 105 of file IOstream.hpp.

References IOstream::setBad().

Here is the call graph for this function:

## IOstream() [2/2]

IOstream | ( | const IOstream & |  | ) |

default

## ~IOstream()

virtual ~IOstream | ( |  | ) |

virtualdefault

## Member Function Documentation

## setOpened()

void setOpened | ( |  | ) |

inlineprotected

Definition at line 78 of file IOstream.hpp.

References IOstream::openClosed_, and IOstream::OPENED.

## setClosed()

void setClosed | ( |  | ) |

inlineprotected

Definition at line 84 of file IOstream.hpp.

References IOstream::CLOSED, and IOstream::openClosed_.

## setState()

void setState | ( | ios_base::iostate | state | ) |

inlineprotected

Definition at line 90 of file IOstream.hpp.

References IOstream::ioState_.

## setGood()

void setGood | ( |  | ) |

inlineprotected

Definition at line 96 of file IOstream.hpp.

References IOstream::ioState_.

## name() [1/2]

pFlow::word & name | ( |  | ) | const

virtual

Reimplemented in iTstream, Istream, and Ostream.

Definition at line 31 of file IOstream.cpp.

References IOstream::staticName_.

Referenced by box::box(), iEntry< Key, T * >::createEntry(), cylinder::cylinder(), dataEntry::dataEntry(), dictionary::dictionary(), iBox< intType >::iBox(), pFlow::operator<<(), pFlow::operator>>(), iIstream::putBack(), Insertion< ShapeType >::read(), timeInterval::read(), Logical::read(), line::read(), rotatingAxis::read(), dataEntry::read(), sphereShape::read(), fixedWall::read(), rotatingAxisMotion::read(), vibratingMotion::read(), multiRotatingAxisMotion::read(), dictionary::read(), dataEntry::readDataEntry(), dictionary::readDictionary(), Field< VectorDual, int8 >::readField(), IOfileHeader::readHeader(), List< word >::readList(), Field< VectorDual, int8 >::readNonUniform(), pointStructure::readPointStructure(), triSurface::readTriSurface(), Field< VectorDual, int8 >::readUniform(), sphere::sphere(), Insertion< ShapeType >::write(), dataEntry::write(), sphereShape::write(), fixedWall::write(), rotatingAxisMotion::write(), vibratingMotion::write(), multiRotatingAxisMotion::write(), dictionary::write(), and pointStructure::writePointStructure().

Here is the caller graph for this function:

## name() [2/2]

virtual word& name | ( |  | ) |

virtual

Reimplemented in iTstream, Istream, and Ostream.

## check()

bool check | ( | const char * | operation | ) | const

virtual

Definition at line 42 of file IOstream.cpp.

Referenced by pFlow::operator<<(), pFlow::operator>>(), line::read(), rotatingAxis::read(), multiTriSurface::readMultiTriSurface(), timeInterval::write(), iBox< intType >::write(), Logical::write(), box::write(), sphere::write(), line::write(), rotatingAxis::write(), vibrating::write(), cylinder::write(), List< word >::writeList(), multiTriSurface::writeMultiTriSurface(), triSurface::writeTriSurface(), and Vector< word, vecAllocator< word > >::writeVector().

Here is the caller graph for this function:

## fatalCheck()

bool fatalCheck | ( | const char * | operation | ) | const

Definition at line 48 of file IOstream.cpp.

References fatalErrorInFunction, and fatalExit.

Referenced by iEntry< Key, T * >::createEntry(), dataEntry::readDataEntry(), List< word >::readList(), triSurface::readTriSurface(), Vector< word, vecAllocator< word > >::readVector(), IOfileHeader::writeHeader(), and iEntry< Key, T * >::writeKeyword().

Here is the caller graph for this function:

## opened()

bool opened | ( |  | ) | const

inline

Definition at line 138 of file IOstream.hpp.

References IOstream::openClosed_, and IOstream::OPENED.

## closed()

bool closed | ( |  | ) | const

inline

Definition at line 144 of file IOstream.hpp.

References IOstream::CLOSED, and IOstream::openClosed_.

## good()

bool good | ( |  | ) | const

inline

Definition at line 150 of file IOstream.hpp.

References IOstream::ioState_.

Referenced by Istream::nextValid(), and dictionary::readDictionary().

Here is the caller graph for this function:

## eof()

bool eof | ( |  | ) | const

inline

Definition at line 156 of file IOstream.hpp.

References IOstream::ioState_.

Referenced by pFlow::checkNumberToken(), pFlow::checkWordToken(), iEntry< Key, T * >::createEntry(), stlFile::read(), dictionary::readDictionary(), Field< VectorDual, int8 >::readField(), iEntry< Key, T * >::readKeyword(), Field< VectorDual, int8 >::readNonUniform(), Field< VectorDual, int8 >::readUniform(), and twoPartEntry::twoPartEntry().

Here is the caller graph for this function:

## fail()

bool fail | ( |  | ) | const

inline

Definition at line 162 of file IOstream.hpp.

References IOstream::ioState_.

Referenced by IOstream::operator bool(), and IOstream::operator!().

Here is the caller graph for this function:

## bad()

bool bad | ( |  | ) | const

inline

Definition at line 168 of file IOstream.hpp.

References IOstream::ioState_.

Referenced by pFlow::badInput(), iEntry< Key, T * >::createEntry(), Istream::nextValid(), iIstream::putBack(), dataEntry::readDataEntry(), Field< VectorDual, int8 >::readField(), iEntry< Key, T * >::readKeyword(), Field< VectorDual, int8 >::readNonUniform(), and Field< VectorDual, int8 >::readUniform().

Here is the caller graph for this function:

## operator bool()

operator bool | ( |  | ) | const

inlineexplicit

Definition at line 174 of file IOstream.hpp.

References IOstream::fail().

Here is the call graph for this function:

## operator!()

bool operator! | ( |  | ) | const

inline

Definition at line 180 of file IOstream.hpp.

References IOstream::fail().

Here is the call graph for this function:

## lineNumber() [1/3]

int32 lineNumber | ( |  | ) | const

inline

Definition at line 187 of file IOstream.hpp.

References IOstream::lineNumber_.

Referenced by box::box(), iEntry< Key, T * >::createEntry(), cylinder::cylinder(), dataEntry::dataEntry(), dictionary::dictionary(), iBox< intType >::iBox(), pFlow::operator<<(), pFlow::operator>>(), property::property(), iIstream::putBack(), Insertion< ShapeType >::read(), timeInterval::read(), stlFile::read(), Logical::read(), line::read(), rotatingAxis::read(), dataEntry::read(), sphereShape::read(), fixedWall::read(), rotatingAxisMotion::read(), vibratingMotion::read(), multiRotatingAxisMotion::read(), dictionary::read(), dataEntry::readDataEntry(), dictionary::readDictionary(), Field< VectorDual, int8 >::readField(), List< word >::readList(), Field< VectorDual, int8 >::readNonUniform(), pointStructure::readPointStructure(), triSurface::readTriSurface(), Field< VectorDual, int8 >::readUniform(), sphere::sphere(), Insertion< ShapeType >::write(), dataEntry::write(), sphereShape::write(), fixedWall::write(), rotatingAxisMotion::write(), vibratingMotion::write(), multiRotatingAxisMotion::write(), dictionary::write(), and pointStructure::writePointStructure().

Here is the caller graph for this function:

## lineNumber() [2/3]

int32& lineNumber | ( |  | ) |

inline

Definition at line 193 of file IOstream.hpp.

References IOstream::lineNumber_.

## lineNumber() [3/3]

int32 lineNumber | ( | const int32 | num | ) |

inline

Definition at line 200 of file IOstream.hpp.

References IOstream::lineNumber_.

## flags() [1/2]

virtual ios_base::fmtflags flags | ( |  | ) | const

pure virtual

Implemented in oTstream, iTstream, Istream, and Ostream.

Referenced by IOstream::setf(), and IOstream::unsetf().

Here is the caller graph for this function:

## defaultPrecision() [1/2]

static unsigned int defaultPrecision | ( |  | ) |

inlinestatic

Definition at line 211 of file IOstream.hpp.

References IOstream::precision_.

## defaultPrecision() [2/2]

static unsigned int defaultPrecision | ( | unsigned int | prec | ) |

inlinestatic

Definition at line 218 of file IOstream.hpp.

References IOstream::precision_.

## setEof()

void setEof | ( |  | ) |

inline

Definition at line 226 of file IOstream.hpp.

References IOstream::ioState_.

## setFail()

void setFail | ( |  | ) |

inline

Definition at line 232 of file IOstream.hpp.

References IOstream::ioState_.

## setBad()

void setBad | ( |  | ) |

inline

Definition at line 238 of file IOstream.hpp.

References IOstream::ioState_.

Referenced by IOstream::IOstream(), pFlow::operator>>(), and Logical::read().

Here is the caller graph for this function:

## flags() [2/2]

virtual ios_base::fmtflags flags | ( | const ios_base::fmtflags | f | ) |

pure virtual

Implemented in oTstream, iTstream, Istream, and Ostream.

## setf() [1/2]

ios_base::fmtflags setf | ( | const ios_base::fmtflags | f | ) |

inline

Definition at line 247 of file IOstream.hpp.

References IOstream::flags().

Referenced by pFlow::dec(), pFlow::fixed(), pFlow::hex(), pFlow::oct(), and pFlow::scientific().

Here is the call graph for this function:
Here is the caller graph for this function:

## setf() [2/2]

ios_base::fmtflags setf | ( | const ios_base::fmtflags | f,
|  | const ios_base::fmtflags | mask
| ) |  |

inline

Definition at line 254 of file IOstream.hpp.

References IOstream::flags().

Here is the call graph for this function:

## unsetf()

void unsetf | ( | const ios_base::fmtflags | f | ) |

inline

Definition at line 263 of file IOstream.hpp.

References IOstream::flags().

Here is the call graph for this function:

## Member Data Documentation

## precision_

unsigned int precision_ = 6

static

Definition at line 59 of file IOstream.hpp.

Referenced by IOstream::defaultPrecision().

## staticName_

pFlow::word staticName_

staticprotected

Definition at line 64 of file IOstream.hpp.

Referenced by IOstream::name().

## openClosed_

streamAccess openClosed_

protected

Definition at line 66 of file IOstream.hpp.

Referenced by IOstream::closed(), IOstream::opened(), IOstream::setClosed(), and IOstream::setOpened().

## ioState_

ios_base::iostate ioState_

protected

Definition at line 68 of file IOstream.hpp.

Referenced by IOstream::bad(), IOstream::eof(), IOstream::fail(), IOstream::good(), IOstream::setBad(), IOstream::setEof(), IOstream::setFail(), IOstream::setGood(), and IOstream::setState().

## lineNumber_

int32 lineNumber_

protected

Definition at line 72 of file IOstream.hpp.

Referenced by IOstream::lineNumber().

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/iStream/IOstream.hpp
- src/phasicFlow/streams/iStream/IOstream.cpp